MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024068Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2013-07-12 09:572013-12-19 13:58
Reporteremv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024068: Wrong result done by projection algorithm
DescriptionResult of projection of some points on the face is not correct.

The problem has been detected in the test case bugs modalg_2 bug23100.
Steps To Reproducerestore [locate_data_file bug23100_qf.brep] f
explode f; copy f_2 f
 1. point p 100 86.6025403784439 2.25000977226544
    projponf f p -min -t
    #proj dist = 17.999179398806056
    vertex v 100 86.6025403784439 2.25000977226544
    distmini d v f
    #the distance value is : 2.01755e-014
 2. point p 100 86.6025403784439 8.2500100656622
    projponf f p -min -t
    #proj dist = 11.999452919579852
    vertex v 100 86.6025403784439 8.2500100656622
    distmini d v f
    #the distance value is : 9.94918e-014
 3. point p 100 86.602540378443891 11.249990478996615
    projponf f p -min -t
    #proj dist = 8.9996094171556109
    vertex v 100 86.602540378443891 11.249990478996615
    distmini d v f
    #the distance value is : 2.84217e-014
TagsNo tags attached.
Test case numberbugs moddata_3(013) bug24068
Attached Files7z file icon diffs.7z (165,368 bytes) 2013-10-03 11:39

- Relationships

-  Notes
(0025067)
jgv (developer)
2013-07-15 15:39

The branch CR24068 is ready for reviewing.

Correct usage of command "projponf" is:

point p1 100 86.6025403784439 2.25000977226544
projponf f p1
(0025243)
emv (developer)
2013-08-06 11:49

Dear JGV,
Please see the updated Steps To Reproduce section.
(0025749)
aml (developer)
2013-09-26 14:25

Dear ifv,
Please, check the current state of branch CR24068_2 to be sure it is still OK.
(0025751)
ifv (developer)
2013-09-26 14:58

OK
(0025772)
mkv (tester)
2013-09-27 11:37

Dear BugMaster,

Branch CR24068_2 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 53217f0188e697e27118933b2c7ed1bf0f46f6d4

Number of compiler warnings:

occt component :
Linux: 504 (506 on master)
Windows: 31 (31 on master)

products component :
Linux: 190 (190 on master)
Windows: 287 (287 on master)

Regressions/Differences:
only on Windows:
http://occt-tests/CR24068-2-master-occt/Windows-32-VC9/summary.html [^]
bugs modalg_2(007) bug476_1, bug22109_2, bug22109_4, bug22109_5

Testing cases:
http://occt-tests/CR24068-2-master-occt/Debian60-64/bugs/moddata_3/bug24068.html [^]
http://occt-tests/CR24068-2-master-occt/Windows-32-VC9/bugs/moddata_3/bug24068.html [^]
bugs moddata_3(013) bug24068: OK

Testing on Linux:
Total MEMORY difference: 372439920 / 366214620
Total CPU difference: 44788.7400000012 / 42280.160000000964

Testing on Windows:
Total MEMORY difference: 435385732 / 428783012
Total CPU difference: 38672.9375 / 47591.6875

There are following differences in images found by testdiff.
http://occt-tests/CR24068-2-master-occt/Windows-32-VC9/diff-Windows-32-VC9.html [^]
IMAGE bugs modalg_2 bug221: bug22109_2.png differs
IMAGE bugs modalg_2 bug221: bug22109_4.png differs
IMAGE bugs modalg_2 bug221: bug22109_5.png differs
(0025797)
aml (developer)
2013-09-30 16:05

Dear ifv,
Please, check the current state of branch CR24068_2 to be sure it is still OK.

i changed checks according CR24134.

In tests,
bug476_1 - not reproduced,
bug22109_2, bug22109_4, bug22109_5 - fixed.
(0025798)
ifv (developer)
2013-09-30 16:12

Ok
(0025805)
mkv (tester)
2013-10-01 09:54

Dear aml,
could you please rebase branch CR24068_2 to current master, there are conflict files.
(0025807)
aml (developer)
2013-10-01 12:28

Dear ifv,
According to note i rebased branch to current master. please check branch CR24068_3 to be sure it is still OK.
(0025810)
ifv (developer)
2013-10-01 13:48

I am not sure that CR23068_3 contains all necessary modifications.
(0025818)
ifv (developer)
2013-10-01 14:13

Ok
(0025834)
mkv (tester)
2013-10-02 10:02

Dear BugMaster,

Branch CR24068_3 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: f5588533196a5795ba2f1ee37a82dae8f031710a

Number of compiler warnings:

occt component :
Linux: 423 (426 on master)
Windows: 24 (24 on master)

products component :
Linux: 190 (190 on master)
Windows: 287 (287 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR24068-3-master-occt/Windows-32-VC9/bugs/moddata_3/bug24068.html [^]
http://occt-tests/CR24068-3-master-occt/Debian60-64/bugs/moddata_3/bug24068.html [^]
bugs moddata_3(013) bug24068: OK

Testing on Linux:
Total MEMORY difference: 366371048 / 366182216
Total CPU difference: 42865.02000000136 / 44692.5000000013

Testing on Windows:
Total MEMORY difference: 433546924 / 433419000
Total CPU difference: 34708.765625 / 34607.078125

There are following differences in images found by testdiff.
http://occt-tests/CR24068-3-master-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR24068-3-master-occt/Windows-32-VC9/diff-Windows-32-VC9.html [^]
IMAGE sewing tol_100 J5: J5.png differs
IMAGE sewing tol_100 J6: J6.png differs
IMAGE sewing tol_100 K1: K1.png differs
IMAGE sewing tol_0_01 F8: F8.png differs
(0025863)
aml (developer)
2013-10-03 11:49
edited on: 2013-10-03 11:51

Dear ifv,

I performed tests J5,J6,K1 and F8, on CR24068_3 and current master on release. I can't see any differences. May be images on tests are outdated? (Images in attached files)

(0025867)
ifv (developer)
2013-10-03 12:14

Dear MKV, we have not found any differences in images for CR24068_3 and our copy of current master. Please recheck image database for master, may be it is obsolete?
(0025868)
mkv (tester)
2013-10-03 12:19

OK.
Test case bugs/moddata_3(013)/bug24068 was pushed to CR24068_3.
CR24068_3 is TESTED.

- Related Changesets
occt: master 59fcbcae
Timestamp: 2013-10-03 10:36:41
Author: aml
Committer: bugmaster
Details ] Diff ]
0024068: Wrong result done by projection algorithm

Corrected number of nodes needed to create tree in case of BSplineSurface on current master.
Test case for issue CR24068
mod - src/Extrema/Extrema_GenExtPS.cxx Diff ] File ]
add - tests/bugs/moddata_3/bug24068 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-07-12 09:57 emv New Issue
2013-07-12 09:57 emv Assigned To => jgv
2013-07-15 15:39 jgv Note Added: 0025067
2013-07-15 15:39 jgv Status new => resolved
2013-07-15 15:40 jgv Assigned To jgv => emv
2013-08-06 11:49 emv Note Added: 0025243
2013-08-06 11:49 emv Assigned To emv => jgv
2013-08-06 11:49 emv Status resolved => assigned
2013-08-06 11:49 emv Steps to Reproduce Updated View Revisions
2013-09-16 17:01 ifv Assigned To jgv => aml
2013-09-20 15:04 emv Relationship added child of 0023958
2013-09-26 14:25 aml Note Added: 0025749
2013-09-26 14:25 aml Assigned To aml => ifv
2013-09-26 14:25 aml Status assigned => resolved
2013-09-26 14:58 ifv Note Added: 0025751
2013-09-26 14:58 ifv Status resolved => reviewed
2013-09-27 07:06 mkv Assigned To ifv => mkv
2013-09-27 10:47 bugmaster Target Version => 6.7.0
2013-09-27 11:37 mkv Note Added: 0025772
2013-09-27 11:38 mkv Test case number => bugs moddata_3(013) bug24068
2013-09-27 11:38 mkv Assigned To mkv => aml
2013-09-27 11:38 mkv Status reviewed => assigned
2013-09-30 16:05 aml Note Added: 0025797
2013-09-30 16:05 aml Assigned To aml => ifv
2013-09-30 16:05 aml Status assigned => resolved
2013-09-30 16:12 ifv Note Added: 0025798
2013-09-30 16:12 ifv Status resolved => reviewed
2013-10-01 09:54 mkv Note Added: 0025805
2013-10-01 09:54 mkv Assigned To ifv => aml
2013-10-01 09:54 mkv Status reviewed => assigned
2013-10-01 12:28 aml Note Added: 0025807
2013-10-01 12:28 aml Assigned To aml => ifv
2013-10-01 12:28 aml Status assigned => resolved
2013-10-01 13:48 ifv Note Added: 0025810
2013-10-01 13:48 ifv Status resolved => feedback
2013-10-01 14:09 ifv Assigned To ifv => aml
2013-10-01 14:13 ifv Note Added: 0025818
2013-10-01 14:13 ifv Assigned To aml => ifv
2013-10-01 14:13 ifv Status feedback => reviewed
2013-10-01 14:48 mkv Assigned To ifv => mkv
2013-10-02 10:02 mkv Note Added: 0025834
2013-10-02 10:03 mkv Assigned To mkv => aml
2013-10-02 10:03 mkv Status reviewed => feedback
2013-10-03 11:39 aml File Added: diffs.7z
2013-10-03 11:49 aml Note Added: 0025863
2013-10-03 11:49 aml Assigned To aml => ifv
2013-10-03 11:49 aml Status feedback => resolved
2013-10-03 11:51 aml Note Edited: 0025863 View Revisions
2013-10-03 12:14 ifv Note Added: 0025867
2013-10-03 12:14 ifv Assigned To ifv => mkv
2013-10-03 12:14 ifv Status resolved => feedback
2013-10-03 12:19 mkv Note Added: 0025868
2013-10-03 12:20 mkv Assigned To mkv => bugmaster
2013-10-03 12:20 mkv Status feedback => tested
2013-10-04 12:48 bugmaster Changeset attached => occt master 59fcbcae
2013-10-04 12:48 bugmaster Status tested => verified
2013-10-04 12:48 bugmaster Resolution open => fixed
2013-12-19 13:52 bugmaster Status verified => closed
2013-12-19 13:58 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker